MockActionRequest (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.mock.web.portlet

## Class MockActionRequest

- java.lang.Object
- - org.springframework.mock.web.portlet.MockPortletRequest
  - - org.springframework.mock.web.portlet.MockClientDataRequest
    - - org.springframework.mock.web.portlet.MockActionRequest

- All Implemented Interfaces:
    ActionRequest, ClientDataRequest, PortletRequest
  Direct Known Subclasses:
    MockMultipartActionRequest

      public class MockActionRequest
      extends MockClientDataRequest
      implements ActionRequest

  Mock implementation of the `ActionRequest` interface.
  Since:
    2.0
  Author:
    John A. Lewis, Juergen Hoeller

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface javax.portlet.PortletRequest

      `PortletRequest.P3PUserInfos`

  - ### Field Summary

    - ### Fields inherited from interface javax.portlet.ActionRequest

      `ACTION_NAME`

    - ### Fields inherited from interface javax.portlet.PortletRequest

      `ACTION_PHASE, ACTION_SCOPE_ID, BASIC_AUTH, CCPP_PROFILE, CLIENT_CERT_AUTH, DIGEST_AUTH, EVENT_PHASE, FORM_AUTH, LIFECYCLE_PHASE, RENDER_HEADERS, RENDER_MARKUP, RENDER_PART, RENDER_PHASE, RESOURCE_PHASE, USER_INFO`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MockActionRequest()` Create a new MockActionRequest with a default `MockPortalContext` and a default `MockPortletContext`.
    `MockActionRequest(PortalContext portalContext, PortletContext portletContext)` Create a new MockActionRequest.
    `MockActionRequest(PortletContext portletContext)` Create a new MockActionRequest with a default `MockPortalContext`.
    `MockActionRequest(PortletMode portletMode)` Create a new MockActionRequest with a default `MockPortalContext` and a default `MockPortletContext`.
    `MockActionRequest(String actionName)` Create a new MockActionRequest with a default `MockPortalContext` and a default `MockPortletContext`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `getLifecyclePhase()` Return the Portlet 2.0 lifecycle id for the current phase.

    - ### Methods inherited from class org.springframework.mock.web.portlet.MockClientDataRequest

      `getCharacterEncoding, getContentLength, getContentType, getMethod, getPortletInputStream, getReader, setCharacterEncoding, setContent, setContentType, setMethod`

    - ### Methods inherited from class org.springframework.mock.web.portlet.MockPortletRequest

      `addLocale, addParameter, addParameter, addPreferredLocale, addPreferredResponseContentType, addProperty, addResponseContentType, addUserRole, checkActive, close, getAttribute, getAttributeNames, getAuthType, getContextPath, getCookies, getLocale, getLocales, getParameter, getParameterMap, getParameterNames, getParameterValues, getPortalContext, getPortletMode, getPortletSession, getPortletSession, getPreferences, getPrivateParameterMap, getProperties, getProperty, getPropertyNames, getPublicParameterMap, getRemoteUser, getRequestedSessionId, getResponseContentType, getResponseContentTypes, getScheme, getServerName, getServerPort, getUserPrincipal, getWindowID, getWindowState, isActive, isPortletModeAllowed, isRequestedSessionIdValid, isSecure, isUserInRole, isWindowStateAllowed, registerPublicParameter, removeAttribute, setAttribute, setAuthType, setContextPath, setCookies, setParameter, setParameter, setParameters, setPortletMode, setPreferences, setProperty, setRemoteUser, setRequestedSessionIdValid, setScheme, setSecure, setServerName, setServerPort, setSession, setUserPrincipal, setWindowID, setWindowState`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.portlet.ClientDataRequest

      `getCharacterEncoding, getContentLength, getContentType, getMethod, getPortletInputStream, getReader, setCharacterEncoding`

    - ### Methods inherited from interface javax.portlet.PortletRequest

      `getAttribute, getAttributeNames, getAuthType, getContextPath, getCookies, getLocale, getLocales, getParameter, getParameterMap, getParameterNames, getParameterValues, getPortalContext, getPortletMode, getPortletSession, getPortletSession, getPreferences, getPrivateParameterMap, getProperties, getProperty, getPropertyNames, getPublicParameterMap, getRemoteUser, getRequestedSessionId, getResponseContentType, getResponseContentTypes, getScheme, getServerName, getServerPort, getUserPrincipal, getWindowID, getWindowState, isPortletModeAllowed, isRequestedSessionIdValid, isSecure, isUserInRole, isWindowStateAllowed, removeAttribute, setAttribute`

- - ### Constructor Detail

    - #### MockActionRequest

          public MockActionRequest()

      Create a new MockActionRequest with a default `MockPortalContext` and a default `MockPortletContext`.
      See Also:
        `MockPortalContext`, `MockPortletContext`

    - #### MockActionRequest

          public MockActionRequest(String actionName)

      Create a new MockActionRequest with a default `MockPortalContext` and a default `MockPortletContext`.
      Parameters:
        `actionName` - the name of the action to trigger

    - #### MockActionRequest

          public MockActionRequest(PortletMode portletMode)

      Create a new MockActionRequest with a default `MockPortalContext` and a default `MockPortletContext`.
      Parameters:
        `portletMode` - the mode that the portlet runs in

    - #### MockActionRequest

          public MockActionRequest(PortletContext portletContext)

      Create a new MockActionRequest with a default `MockPortalContext`.
      Parameters:
        `portletContext` - the PortletContext that the request runs in

    - #### MockActionRequest

          public MockActionRequest(PortalContext portalContext,
                           PortletContext portletContext)

      Create a new MockActionRequest.
      Parameters:
        `portalContext` - the PortalContext that the request runs in
        `portletContext` - the PortletContext that the request runs in

  - ### Method Detail

    - #### getLifecyclePhase

          protected String getLifecyclePhase()

      Description copied from class: `MockPortletRequest`
      Return the Portlet 2.0 lifecycle id for the current phase.
      Overrides:
        `getLifecyclePhase` in class `MockPortletRequest`